gtksourceviewmm: Gsv::StyleSchemeManager Class Reference

gtksourceviewmm 3.2.0

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Related Functions
Gsv::StyleSchemeManager Class Reference

Class providing access to SourceStyleSchemes. More...

`#include <gtksourceviewmm/styleschememanager.h>`

Inheritance diagram for Gsv::StyleSchemeManager:
[legend]

List of all members.

## Public Member Functions
GtkSourceStyleSchemeManager* | gobj ()
| Provides access to the underlying C GObject.
const GtkSourceStyleSchemeManager* | gobj () const
| Provides access to the underlying C GObject.
GtkSourceStyleSchemeManager* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
std::vector< std::string > | get_search_path () const
| Returns the current search path for the manager.
void | set_search_path (const std::vector< std::string >& path)
| Sets the list of directories where the manager looks for style scheme files.
void | reset_search_path ()
| Resets the list of directories where the manager looks for style scheme files to default.
void | append_search_path (const std::string& path)
| Appends path to the list of directories where the manager looks for style scheme files.
void | prepend_search_path (const std::string& path)
| Prepends path to the list of directories where the manager looks for style scheme files.
Glib::RefPtr< StyleScheme > | get_scheme (const std::string& scheme_id)
| Looks up style scheme by id.
Glib::RefPtr< const StyleScheme > | get_scheme (const std::string& scheme_id) const
| Looks up style scheme by id.
void | force_rescan ()
| Mark any currently cached information about the available style schemes as invalid.
std::vector< std::string > | get_scheme_ids () const
| Returns the ids of the available style schemes.
Glib::PropertyProxy < std::vector< std::string > > | property_search_path ()
| List of directories and files where the style schemes are located.
Glib::PropertyProxy_ReadOnly < std::vector< std::string > > | property_search_path () const
| List of directories and files where the style schemes are located.
Glib::PropertyProxy_ReadOnly < std::vector< std::string > > | property_scheme_ids () const
| List of the ids of the available style schemes.
## Static Public Member Functions
static Glib::RefPtr < StyleSchemeManager > | create ()
| Creates a new style manager.
static Glib::RefPtr < StyleSchemeManager > | get_default ()
| Returns the default StyleSchemeManager instance.
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < Gsv::StyleSchemeManager > | wrap (GtkSourceStyleSchemeManager* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Class providing access to SourceStyleSchemes.

## Member Function Documentation

void Gsv::StyleSchemeManager::append_search_path | ( | const std::string & | path | ) |

Appends path to the list of directories where the manager looks for style scheme files.

See set_search_path() for details.

Parameters:

  path | A directory or a filename.

static Glib::RefPtr<StyleSchemeManager> Gsv::StyleSchemeManager::create | ( |  | ) | `[static]`

Creates a new style manager.

If you do not need more than one style manager then use get_default() instead.

Returns:
  A StyleSchemeManager.

void Gsv::StyleSchemeManager::force_rescan | ( |  | ) |

Mark any currently cached information about the available style schemes as invalid.

All the available style schemes will be reloaded next time the manager is accessed.

static Glib::RefPtr<StyleSchemeManager> Gsv::StyleSchemeManager::get_default | ( |  | ) | `[static]`

Returns the default StyleSchemeManager instance.

Returns:
  A StyleSchemeManager.

Glib::RefPtr<StyleScheme> Gsv::StyleSchemeManager::get_scheme | ( | const std::string & | scheme_id | ) |

Looks up style scheme by id.

Parameters:

  scheme_id | Style scheme id to find.

Returns:
  A StyleScheme object.

Glib::RefPtr<const StyleScheme> Gsv::StyleSchemeManager::get_scheme | ( | const std::string & | scheme_id | ) | const

Looks up style scheme by id.

Parameters:

  scheme_id | Style scheme id to find.

Returns:
  A StyleScheme object.

std::vector<std::string> Gsv::StyleSchemeManager::get_scheme_ids | ( |  | ) | const

Returns the ids of the available style schemes.

Returns:
  An array of string containing the ids of the available style schemes.

std::vector<std::string> Gsv::StyleSchemeManager::get_search_path | ( |  | ) | const

Returns the current search path for the manager.

See set_search_path() for details.

Returns:
  An array of string containing the search path.

void Gsv::StyleSchemeManager::prepend_search_path | ( | const std::string & | path | ) |

Prepends path to the list of directories where the manager looks for style scheme files.

See set_search_path() for details.

Parameters:

  path | A directory or a filename.

Glib::PropertyProxy_ReadOnly< std::vector<std::string> > Gsv::StyleSchemeManager::property_scheme_ids | ( |  | ) | const

List of the ids of the available style schemes.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< std::vector<std::string> > Gsv::StyleSchemeManager::property_search_path | ( |  | ) | const

List of directories and files where the style schemes are located.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< std::vector<std::string> > Gsv::StyleSchemeManager::property_search_path | ( |  | ) |

List of directories and files where the style schemes are located.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gsv::StyleSchemeManager::set_search_path | ( | const std::vector< std::string > & | path | ) |

Sets the list of directories where the manager looks for style scheme files.

Parameters:

  path | An empty string terminated array of strings.

## Friends And Related Function Documentation

Glib::RefPtr< Gsv::StyleSchemeManager > wrap | ( | GtkSourceStyleSchemeManager * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.